[Launch]
ProgramExecutable=SoftOrganizer\SoftOrganizer.exe
WorkingDirectory=%PAL:AppDir%\SoftOrganizer
SinglePortableAppInstance=true
RunAsAdmin=compile-force
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
ChemTable=HKCU\Software\ChemTable Software

[RegistryCleanupForce]
1=HKCU\Software\ASProtect
2=HKLM\SOFTWARE\Microsoft\SystemCertificates\AuthRoot\Certificates\D23209AD23D314232174E40D7F9D62139786633A
3=HKLM\SOFTWARE\Classes\CcFWSettg.Category\CLSID\{B7CB6D12-F0D5-BF0B-1D97}

[RegistryCleanupIfEmpty]
1=HKLM\SOFTWARE\Classes\lnkfile\shell
2=HKLM\SOFTWARE\Wow6432Node\Microsoft\DownloadManager

[DirectoriesMove]
AppData=%AppData%\ChemTable Software
Local=%LocalAppData%\ChemTable Software

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\ChemTable.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\ChemTable.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\ChemTable.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\